Skip to main content
GET
/
api
/
v2
/
accounts
Get Accounts
curl --request GET \
  --url https://sandbox.killb.app/api/v2/accounts \
  --header 'Authorization: Bearer <token>'
{
  "totalPage": 1,
  "accounts": [
    {
      "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "userId": "7f0a8ad6-29a1-4a66-a6c4-8bb398eb78d1",
      "type": "PSE",
      "status": "ACTIVE",
      "data": {
        "document": {
          "type": "NIT",
          "number": "123456",
          "issuedCountryCode": "CO"
        },
        "accountNumber": "10203049",
        "bankCode": "001",
        "type": "checking",
        "countryCode": "CO",
        "firstName": "John",
        "middleName": "Carlos",
        "lastName": "Doe",
        "companyName": "Acme Corp",
        "email": "[email protected]",
        "phone": "+576015555555"
      },
      "createdAt": "2026-04-23T00:38:08.439Z",
      "updatedAt": "2026-04-23T00:38:08.439Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ids
string
Example:

"7f0a8ad6-29a1-4a66-a6c4-8bb398eb78d1"

userId
string
Example:

"7f0a8ad6-29a1-4a66-a6c4-8bb398eb78d1"

type
enum<string>
Available options:
PSE,
ACH,
ACH_HN,
ACH_SV,
ACH_NI,
ACH_GT,
ACH_PA,
ACH_BO,
WIRE,
WALLET,
COELSA,
BREB,
SPEI,
PIX,
CCI,
CUSTODIAL,
TRANSFIYA,
SWIFT,
SPI,
SPI_PY,
SPI_DO,
SINPE
accountNumber
string
Example:

"001134412"

routingNumber
string
Example:

"1231312"

address
string
Example:

"0x"

clabe
string
Example:

"646180157000000004"

cci
string

Filter by CCI (20-digit Peruvian interbank code)

Example:

"00219200000000123456"

cvu
string
Example:

"0000003100012345678901"

firstName
string

Filter by first name

Example:

"Juan"

middleName
string

Filter by middle name

Example:

"Carlos"

lastName
string

Filter by last name

Example:

"García"

companyName
string

Filter by company name

Example:

"Acme Corp"

email
string

Filter by email

limit
number
Example:

10

page
number
Example:

1

Response

totalPage
number
required
Example:

1

accounts
object[]
required